const config = {
  dirsToCreate: ['src', 'tests'],
  filesToCopy: [
    {
      input: 'gulp-tasks',
      output: 'gulp-tasks'
    },
    {
      input: 'gitignore',
      output: '.gitignore'
    },
    {
      input: '_tslint.json',
      output: 'tslint.json'
    }
  ],
  filesToRender: [
    {
      input: 'gulpfile.js',
      output: 'gulpfile.js'
    },
    {
      input: '_package.json.ejs',
      output: 'package.json'
    },
    {
      input: 'jest.config.js.ejs',
      output: 'jest.config.js'
    },
    {
      input: '_tsconfig.json.ejs',
      output: 'tsconfig.json'
    }
  ],
  options: {
    'with-mocks': {
      desc: 'Creates the `tests/helpers/mocks` dir',
      type: Boolean,
      defaults: false
    }
  },
  prompts: [
    {
      type: 'input',
      name: 'projectName',
      message: 'Library Name:'
    },
    {
      type: 'input',
      name: 'gitRemote',
      message: 'Git Remote URL (Optional):'
    }
  ]
};

module.exports = config;